Updates a list of mapped accounts.
Permissions: Administrator, MultiUnit users.
Path Parameters
- Type: integerFormat: int32store
Id requiredSigned 32-bit integers (commonly used integer type).
Headers
- Type: stringD
C Key The Integration Key generated for API Authentication by the PAR OPS support team as part of the integration/partnership process.
Body
- Type:Properties: 2
Responses
- 200
OK
Request Example for patch/v2/Stores/{storeId}/MappedAccounts
curl /v2/Stores/1/MappedAccounts \
--request PATCH \
--header 'Content-Type: application/json-patch+json' \
--header 'DCKey: YOUR_SECRET_TOKEN' \
--data '[
{
"Old": {
"AccountID": "C895A81E-0C20-42C0-B2DC-EAF43F9447BD",
"StartDate": ""
},
"New": {
"StoreID": 1,
"AccountID": "C895A81E-0C20-42C0-B2DC-EAF43F9447BD",
"StartDate": "",
"AccountMapping": null,
"Hide": "Y",
"TransactionIdentifier": null,
"MappedAccountDescription": null,
"DefaultMemo": null
}
}
]'
No Body
